## SYNOPSIS

           ls [OPTION]... [FILE]...

## DESCRIPTION

           List information about the FILEs (the current directory by
           default).  Sort entries alphabetically if none of -cftuSUX
           nor --sort.

           Mandatory  arguments  to  long  options  are mandatory for
           short options too.

           -a, --all
                  do not hide entries starting with .

           -A, --almost-all
                  do not list implied . and ..

           --author
                  print the author of each file

           -b, --escape
                  print octal escapes for nongraphic characters

           --block-size=SIZE
                  use SIZE-byte blocks

           -B, --ignore-backups
                  do not list implied entries ending with ~

           -c     with -lt: sort by, and show, ctime  (time  of  last
                  modification  of  file status information) with -l:
                  show ctime and sort  by  name  otherwise:  sort  by
                  ctime

           -C     list entries by columns

           --color[=WHEN]
                  control  whether  color is used to distinguish file
                  types.  WHEN may be `never', `always', or `auto'

           -d, --directory
                  list directory entries instead of contents, and  do
                  not dereference symbolic links

           -D, --dired
                  generate output designed for Emacs' dired mode

           -f     do not sort, enable -aU, disable -lst

           -F, --classify
                  append indicator (one of */=@|) to entries

                  2G)

           --si   likewise, but use powers of 1000 not 1024

           -H, --dereference-command-line
                  follow symbolic links listed on the command line

           --dereference-command-line-symlink-to-dir
                  follow each command line symbolic link

                  that points to a directory

           --indicator-style=WORD append indicator with style WORD to
           entry names:
                  none (default), classify (-F), file-type (-p)

           -i, --inode
                  print index number of each file

           -I, --ignore=PATTERN
                  do not list implied entries matching shell PATTERN

           -k     like --block-size=1K

           -l     use a long listing format

           -L, --dereference
                  when  showing file information for a symbolic link,
                  show information for the file the  link  references
                  rather than for the link itself

           -m     fill width with a comma separated list of entries

           -n, --numeric-uid-gid
                  like -l, but list numeric UIDs and GIDs

           -N, --literal
                  print  raw  entry  names  (don't treat e.g. control
                  characters specially)

           -o     like -l, but do not list group information

           -p, --file-type
                  append indicator (one of /=@|) to entries

           -q, --hide-control-chars
                  print ? instead of non graphic characters

           --show-control-chars
                  show non graphic characters as-is  (default  unless
                  program is `ls' and output is a terminal)

                  print size of each file, in blocks

           -S     sort by file size

           --sort=WORD
                  extension -X, none -U, size -S, time -t, version -v

                  status -c, time -t, atime -u, access -u, use -u

           --time=WORD
                  show  time  as  WORD  instead of modification time:
                  atime, access, use, ctime or status; use  specified
                  time as sort key if --sort=time

           --time-style=STYLE
                  show  times  using style STYLE: full-iso, long-iso,
                  iso, locale, +FORMAT

                  FORMAT is interpreted like  `date';  if  FORMAT  is
                  FORMAT1<newline>FORMAT2,  FORMAT1  applies  to non-
                  recent files and FORMAT2 to recent files; if  STYLE
                  is  prefixed with `posix-', STYLE takes effect only
                  outside the POSIX locale

           -t     sort by modification time

           -T, --tabsize=COLS
                  assume tab stops at each COLS instead of 8

           -u     with -lt: sort by, and show, access time  with  -l:
                  show  access  time and sort by name otherwise: sort
                  by access time

           -U     do not sort; list entries in directory order

           -v     sort by version

           -w, --width=COLS
                  assume screen width instead of current value

           -x     list entries by lines instead of by columns

           -X     sort alphabetically by entry extension

           -1     list one file per line

           --help display this help and exit

           --version
                  output version information and exit

           SIZE may be (or may be an integer optionally followed  by)
           Report bugs to <bug-coreutils@gnu.org>.

## COPYRIGHT

           Copyright © 2003 Free Software Foundation, Inc.
           This  is  free software; see the source for copying condi
           tions.  There is NO warranty; not even for MERCHANTABILITY
           or FITNESS FOR A PARTICULAR PURPOSE.

## SEE ALSO

           The  full  documentation for ls is maintained as a Texinfo
           manual.   If  the  info  and  ls  programs  are   properly
           installed at your site, the command

                  info ls

           should give you access to the complete manual.

    ls (coreutils) 4.5.8      February 2003                     LS(1)